EXPCHK(1)

NAME
expchk - Check a keyrec file for expired zones

SYNOPSIS
  expchk -all -expired -valid -warn numdays -zone zonename -count -help keyrec_files

DESCRIPTION
expchk checks a set of keyrec files to determine if the zone keyrecs are valid or expired. The type of zones displayed depends on the options chosen; if no options are given the expired zones will be listed.

OPTIONS

-all
    Display expiration information on all zones, expired or valid, in the specified keyrec files.

-expired
    Display expiration information on the expired zones in the specified keyrec files. This is the default action.

-valid
    Display expiration information on the valid zones in the specified keyrec files.

-warn numdays
    A warning will be given for each valid zone that will expire in numdays days. This option has no effect on expired zones.

-zone zonename
    Display expiration information on the zone specified in zonename.

-count
    Only the count of matching zones (valid or expired) will be given. If both types of zones are selected, then the count will be the number of zones in the specified keyrec files.

-help
    Display a usage message.

-Version
    Displays the version information for expchk and the DNSSEC-Tools package.

COPYRIGHT
Copyright 2004-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
zonesigner(8)

Net::DNS::SEC::Tools::keyrec.pm(3)